Page MenuHomePhabricator

Review request for a cookie usage in ContentTranslation
Closed, ResolvedPublic

Description

In https://gerrit.wikimedia.org/r/#/c/179105/, a domain level cookie with a short expiration time is used as a token to indicate that the translator went through the normal translation workflow. Note that this cookie is not host-level, but domain-level, with the domain being '.wikipedia.org' for Wikipedia. This allows Content Translation (CX) to redirect users between source and target language wikis.

A user going through the normal translaiton workflow will see the legal notice about the license of the content; hence, this is important.

The first phase of deployment for CX is scheduled for Jan. 15, so please review this cookie and flag it if you notice any issues.

Event Timeline

santhosh raised the priority of this task from to Needs Triage.
santhosh updated the task description. (Show Details)
santhosh changed Security from none to None.
santhosh added a subscriber: Language-Team.
KartikMistry added a subscriber: KartikMistry.
Arrbee edited projects, added Blocked-on-Operations; removed acl*sre-team.
Arrbee updated the task description. (Show Details)
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-81 board.Dec 22 2014, 2:39 PM

I reviewed the patch, but since it's already merged I can't give it a -1. Regardless, I think the cookie names are problematic. A simple workaround would be to include a fixed string at the end of the cookie name which isn't anything like "Session" or "Token".

Thanks. I think we can use a cookie name pattern as cx_Title_FromLang_TargetLang that will never have sufix as Session or Token

Change 181863 had a related patch set uploaded (by Santhosh):
Change the cookie name for valid translation workflow

https://gerrit.wikimedia.org/r/181863

Patch-For-Review

Change 181863 merged by jenkins-bot:
Change the cookie name for valid translation workflow

https://gerrit.wikimedia.org/r/181863

Arrbee closed this task as Resolved.Dec 29 2014, 7:02 AM
Arrbee moved this task from In Progress to In Review on the LE-Sprint-81 board.
Arrbee added a subscriber: Arrbee.
Arrbee moved this task from In Review to Done on the LE-Sprint-81 board.Dec 29 2014, 7:04 AM
RandomDSdevel updated the task description. (Show Details)Mar 2 2015, 9:29 PM
RandomDSdevel awarded a token.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 23 2015, 9:22 AM